Package com.databend.jdbc

## Interface FileTransferAPI

All Known Implementing Classes:
  `DatabendConnection`

    @Deprecated
    public interface FileTransferAPI

Deprecated.
Deprecated. This interface has been replaced by `DatabendConnection`.

Deprecated since version 4.0.1. Scheduled for removal in a future release. Please migrate to `DatabendConnection` for equivalent functionality.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `copyIntoTable​(String database, String tableName, DatabendCopyParams params)` Deprecated. execute the Copy SQL directly
`InputStream` `downloadStream​(String stageName, String sourceFileName, boolean decompress)` Deprecated. Replaced by DatabendConnection.downloadStream() since version 4.0.1
`void` `uploadStream​(String stageName, String destPrefix, InputStream inputStream, String destFileName, long fileSize, boolean compressData)` Deprecated. Replaced by DatabendConnection.uploadStream() since version 4.0.1

### Method Detail

#### uploadStream

    void uploadStream​(String stageName,
                      String destPrefix,
                      InputStream inputStream,
                      String destFileName,
                      long fileSize,
                      boolean compressData)
               throws SQLException

Deprecated.
Replaced by DatabendConnection.uploadStream() since version 4.0.1
Deprecated. Use `DatabendConnection.uploadStream(String, String, InputStream, String, long, boolean)` instead. Upload inputStream to the databend internal stage, the data would be uploaded as one file with no split. Caller should close the input stream after the upload is done.

Parameters:
  `stageName` - the stage which receive uploaded file
  `destPrefix` - the prefix of the file name in the stage
  `inputStream` - the input stream of the file
  `destFileName` - the destination file name in the stage
  `fileSize` - the file size in the stage
  `compressData` - whether to compress the data
Throws:
  `SQLException` - failed to upload input stream

#### downloadStream

    InputStream downloadStream​(String stageName,
                               String sourceFileName,
                               boolean decompress)
                        throws SQLException

Deprecated.
Replaced by DatabendConnection.downloadStream() since version 4.0.1
Deprecated. Use `DatabendConnection.downloadStream(String, String)` instead. Download a file from the databend internal stage, the data would be downloaded as one file with no split.

Parameters:
  `stageName` - the stage which contains the file
  `sourceFileName` - the file name in the stage
  `decompress` - whether to decompress the data
Returns:
  the input stream of the file
Throws:
  `SQLException` - failed to download input stream

#### copyIntoTable

    void copyIntoTable​(String database,
                       String tableName,
                       DatabendCopyParams params)
                throws SQLException

Deprecated.
execute the Copy SQL directly
Copy into the target table from files on the internal stage Documentation: ...

Parameters:
  `database` - the target table's database
  `tableName` - the target table name
  `params` - copy options and file options
Throws:
  `SQLException` - fail to copy into table